Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner
Class UpdateInferredHierarchyTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.UpdateInferredHierarchyTask

All Implemented Interfaces:
  ReasonerTask

    public class UpdateInferredHierarchyTask

extends AbstractReasonerTask

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jul 22, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`UpdateInferredHierarchyTask(ProtegeOWLReasoner protegeOWLReasoner)`

Method Summary
`int` | `getTaskSize()` Gets the size of the task.
`void` | `run()` Executes the task.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.digreasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, getTranslator, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setRequestAbort, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateInferredHierarchyTask

    public UpdateInferredHierarchyTask(ProtegeOWLReasoner protegeOWLReasoner)

Method Detail

### getTaskSize

    public int getTaskSize()

  Description copied from interface: `ReasonerTask`
  Gets the size of the task. When the progress reaches this size, the task should be complete.

### run

    public void run()
             throws DIGReasonerException

  Description copied from interface: `ReasonerTask`
  Executes the task.

  Throws:
    `DIGReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.